#include "input.h"

#define PADDING  '='
#define SXTETBUF  4

int
getsxts(FILE *fp, unsigned char *s)
{
    int c, n, pad;

    n = pad = 0;
    while (n < SXTETBUF && (c = fgetc(fp)) != EOF && c != PADDING)
        if (c != '\n')
            s[n++] = c;
    while (n+pad < SXTETBUF)
        s[n+pad++] = PADDING;

    return n;
}
